<?php

declare(strict_types=1);

/**
 * @author Amasty Team
 * @copyright Copyright (c) Amasty (https://www.amasty.com)
 * @package AI Blog Pro Content Generator
 */

namespace Amasty\AiBlogProContentGenerator\Model\Entity\PayloadModifier\Blog\Post;

use Amasty\AiContentGenerator\Api\Entity\PayloadModifierInterface;
use Amasty\Blog\Api\Data\PostInterface;
use Amasty\OpenaiCore\Api\Data\PayloadInterface;

class TitleModifier extends AbstractPostModifier implements PayloadModifierInterface
{
    public function modify(PayloadInterface $payload): void
    {
        $post = $this->postRepository->getById($payload->getEntityId());
        if (!empty($post->getTitle())) {
            $prompt = $payload->getPrompt() . sprintf(
                "%s: %s\n",
                PostInterface::TITLE,
                $post->getTitle()
            );
            $payload->setPrompt($prompt);
        }
    }
}
